#include <iostream>
// biblioteca para usar funes de CRuntime Library;
#include <process.h>
using namespace std;

bool thread_ligada;

// funo passada como parmetro para nova thread;
void escreveAlgo(void *p)
{
	while ( true )
	{
		cout << "Executando thread..." << endl;
		
		if ( !thread_ligada ){
			// termina a thread explicitamente;
			_endthread();
		}
	}
}

int main()
{
	cout << "Digite ENTER para iniciar e "
		<< "parar a thread..." << endl;
	cin.get();			// aguarda um ENTER do usurio;
	thread_ligada = true;
	
	// inicia uma thread, passando como parmetro
	// a funo que deve ser executada;
	_beginthread(escreveAlgo, 0, NULL);

	cin.get();				// aguarda um ENTER do usurio;
	thread_ligada = false;	// informa a thread que ela deve parar;

	return 0;
}
