#include <iostream>
#include <process.h>		// biblioteca para usar funes de CRuntime Library;
#include <windows.h>
using namespace std;

bool thread_ligada;
HANDLE hnd_thread;			// identificador da thread;

// funo passada como parmetro para nova thread;
unsigned WINAPI escreveAlgo(void *p)
{
	while ( thread_ligada )
	{
		cout << "Executando thread..." << endl;
	}
}

int main()
{
	cout << "Digite ENTER para iniciar e parar a thread..." << endl;
	cin.get();				// aguarda um ENTER do usurio;
	thread_ligada = true;
	
	// inicia uma thread, passando como parmetro
	// a funo que deve ser executada;
	hnd_thread = (HANDLE) _beginthreadex(
					NULL,		// atributo de segurana;
					0,			// quantidade inicial de memria para a thread;
					&escreveAlgo,// funo a ser executada;
					NULL,		// parmetro da thread;
					0,			// estado inicial da thread;
					NULL		// identificador da thread;
					);

	cin.get();				// aguarda um ENTER do usurio;
	thread_ligada = false;	// informa a thread que ela deve parar;
	
	if ( NULL != hnd_thread )
		WaitForSingleObject(&hnd_thread, INFINITE);
	
	CloseHandle( hnd_thread );
	return 0;
}
