#include <iostream>
#include <windows.h>
#include <process.h>
using namespace std;

HANDLE meu_mutex;

// funo passada como parmetro para a thread 1;
unsigned WINAPI tarefa_1( LPVOID lpParam )
{
	//----------------------------------------- REGIO CRTICA
	WaitForSingleObject(meu_mutex, INFINITE);
	for (char* s = "123456"; *s != '\0'; s++)
	{
		cout << *s;
	}
	ReleaseMutex( meu_mutex );
	//-----------------------------------------
}
// funo passada como parmetro para a thread 2;
unsigned WINAPI tarefa_2( LPVOID lpParam )
{
	//----------------------------------------- REGIO CRTICA
	WaitForSingleObject(meu_mutex, INFINITE);
	for (char* s = "ABCDEF"; *s != '\0'; s++)
	{
		cout << *s;
	}
	ReleaseMutex( meu_mutex );
	//-----------------------------------------
}

int main()
{
	HANDLE hndThread_1, hndThread_2;
	
	cout << "Digite ENTER para iniciar as threads..." << endl;
	cin.get();				// aguarda um ENTER do usurio;
	
	meu_mutex = CreateMutex(NULL, FALSE, NULL);
	if ( NULL == meu_mutex )
	{
		cout << "Erro ao criar o mutex." << endl;
		return 0;
	}
	
	// inicia as threads, passando como parmetro
	// o "id" da thread e a funo que cada uma deve executar;
	hndThread_1 = (HANDLE) _beginthreadex(NULL, 0, tarefa_1, NULL, 0, NULL);
	hndThread_2 = (HANDLE) _beginthreadex(NULL, 0, tarefa_2, NULL, 0, NULL);
	
	// faz com que a thread principal espere a 'thread_1' e a 'thread_2' acabarem;
	if ( NULL != hndThread_1 )
		WaitForSingleObject(hndThread_1, INFINITE);
	
	if ( NULL != hndThread_2 )
		WaitForSingleObject(hndThread_2, INFINITE);

	CloseHandle( hndThread_1 );
	CloseHandle( hndThread_2 );
	CloseHandle( meu_mutex );
	
	cin.get();				// aguarda um ENTER do usurio;
	return 0;
}
